Subject: Re: [mpls] IPR poll for draft-chen-mpls-source-label

From: Ross Callon <[email-masked]>
Date: Mon, 3 Nov 2014 03:42:38 +0000

Working group:

There has been an extensive discussion, particularly over the past couple of weeks, on the source label draft, and whether source labels are an appropriate and needed update to the MPLS architecture. It is clear that at the current time there is no consensus to consider draft-chen-mpls-source-label for adoption as an MPLS WG draft.

We welcome continued discussion of requirements and use cases, as well as methods to satisfy these requirements.

Thanks, Ross
(as MPLS WG co-chair)

-----Original Message-----
From: mpls [mailto:[email-masked]] On Behalf Of Ross Callon
Sent: Thursday, October 16, 2014 3:25 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [mpls] IPR poll for draft-chen-mpls-source-label

MPLS working group;

There have been a number of comments, both public and private, about whether or not source labels are needed and/or worth the cost of implementing this approach. It is clear that we need a discussion in public on the MPLS email list of this issue. In principle this discussion could occur either before or as part of the call for adoption. However, due to the strong interest of several folks to focus on this issue, and the possibility that the outcome of this discussion might motivate changes to the document, I think that we should have this discussion prior to the call for adoption.

I would like to therefore encourage MPLS participants to reply to Stewart's email (and the few replies that have already occurred) and to continue this discussion. The requirements and use cases for source labels, whether source labels are needed, what the cost of implementation would be, and alternatives to satisfy the same use cases, are all explicitly topics that should be considered (as well as any other issues that people feel is important in determining whether the MPLS WG should work on source labels).

In the hope of coming to a timely consensus, I would encourage people who have opinions on this issue to respond within two weeks (by Friday October 31).

Thanks, Ross